<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="item"
            type="io.shortcut.domain.model.comic.ComicModel" />

        <variable
            name="vm"
            type="io.shortcut.assighnment.ui.favoite.FavoriteListViewModel" />
    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="5dp"
        android:layoutDirection="rtl"
        app:cardCornerRadius="10dp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/comic_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/gray_item"
                android:padding="3dp"
                android:text="@{item.num + `: ` + item.title}"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/comic_img"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:layout_marginTop="2dp"
                app:image_url="@{item.img}" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/comic_alt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="5dp"
                android:text="@{item.alt}"
                android:textColor="@android:color/holo_blue_dark"
                android:textSize="16sp" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/comic_transcript"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="5dp"
                android:text="@{item.transcript}" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btn_delete_favorite"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:backgroundTint="@color/red_light"
                android:onClick="@{() -> vm.onItemClicked(item)}"
                android:text="@string/btn_delete_favorite"
                android:textColor="@color/white"
                android:textSize="14sp" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.cardview.widget.CardView>
</layout>
